.nav-container {
  display: block;
  width: 100%;
  background-color: white;
  position: relative;
  z-index: 3;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px var(--side-padding);
  max-width: 100vw;
  overflow: hidden;
}

.nav-links {
  font-size: medium;
  list-style: none;
  display: flex;
  margin: 0;
}

.nav-links li {
  margin-right: 20px;
}

.nav-links a {
  color: var(--accent-dark);
  text-decoration: none;
  font-size: small;
}

.nav-links a:hover {
  text-decoration: underline;
}

.logo {
  font-weight: bold;
  font-size: medium;
  color: var(--primary);
}

.username {
  color: var(--primary);
}

.welcome-profile {
  font-size: medium;
  font-weight: bold;
}

.menu-icon {
  display: none;
  z-index: 1;
  i {
    color: var(--accent-dark);
    font-size: x-large;
  }
}

@media screen and (max-width: 550px) {
  nav {
    padding: 20px var(--side-padding-mobile);
  }

  .menu-icon {
    display: block;
  }

  .nav-links {
    display: none;
  }

  .nav-links.active {
    position: absolute;
    top: 0;
    left: 0;
    padding: 0;
    background-color: white;
    width: 100vw;
    height: 100vh;
    transition: all 0.3s ease;
    display: flex;
    justify-content: center;
    font-size: x-large;
    font-weight: bold;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
  }
}
